Reports - Get Reports In Group

Returns a list of reports from the specified workspace.

Required scope: Report.ReadWrite.All or Report.Read.All
To set the permissions scope, see Register an app.
Note: Paginated reports (rdl) don’t have a dataset. As a result, in the API response for paginated reports, the dataset ID value isn’t displayed.

GET https://api.powerbi.com/v1.0/myorg/groups/{groupId}/reports

URI Parameters

Name In Required Type Description
groupId
path True
  • string
uuid

The workspace ID

Responses

Name Type Description
200 OK

OK

Examples

example

Sample Request

GET https://api.powerbi.com/v1.0/myorg/groups/f089354e-8366-4e18-aea3-4cb4a3a50b48/reports

Sample Response

{
  "value": [
    {
      "datasetId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229",
      "id": "5b218778-e7a5-4d73-8187-f10824047715",
      "name": "SalesMarketing",
      "webUrl": "https://app.powerbi.com/groups/f089354e-8366-4e18-aea3-4cb4a3a50b48/reports/5b218778-e7a5-4d73-8187-f10824047715",
      "embedUrl": "https://app.powerbi.com/reportEmbed?reportId=5b218778-e7a5-4d73-8187-f10824047715&groupId=f089354e-8366-4e18-aea3-4cb4a3a50b48"
    }
  ]
}

Definitions

PrincipalType

The principal type

Report

A Power BI report. The API returns a subset of the following list of report properties. The subset depends on the API called, caller permissions, and the availability of data in the Power BI database.

Reports

The OData response wrapper for a Power BI report collection

ReportUser

A Power BI user access right entry for report

ReportUserAccessRight

Access rights user has for the report (Permission level)

Subscription

artifact email subscription

SubscriptionUser

A Power BI email subscription user

PrincipalType

The principal type

Name Type Description
App
  • string

Service principal type

Group
  • string

Group principal type

None
  • string

No principal type. Use for whole organization level access.

User
  • string

User principal type

Report

A Power BI report. The API returns a subset of the following list of report properties. The subset depends on the API called, caller permissions, and the availability of data in the Power BI database.

Name Type Description
appId
  • string

The app ID, returned only if the report belongs to an app

datasetId
  • string

The dataset ID of the report

description
  • string

The report description

embedUrl
  • string

The embed URL of the report

id
  • string

The report ID

name
  • string

The name of the report

reportType enum:
  • PaginatedReport

The report type

subscriptions

(Empty Value)The artifact subscription Details. It will be removed from the payload response in an upcoming release. To retrieve subscription information for report, please consider using the Get Report Subscriptions as Admin API.

users

(Empty value) The artifact user access details. This property will be removed from the payload response in an upcoming release. You can retrieve user information on a Power BI item (such as a report or a dashboard) by using the Get Report Users as Admin API, or the PostWorkspaceInfo API with the getArtifactUsers parameter.

webUrl
  • string

The web URL of the report

Reports

The OData response wrapper for a Power BI report collection

Name Type Description
odata.context
  • string

OData context

value

The report collection

ReportUser

A Power BI user access right entry for report

Name Type Description
displayName
  • string

Display name of the principal

emailAddress
  • string

Email address of the user

graphId
  • string

Identifier of the principal in Microsoft Graph. Only available for admin APIs.

identifier
  • string

Identifier of the principal

principalType

The principal type

reportUserAccessRight

Access rights user has for the report (Permission level)

ReportUserAccessRight

Access rights user has for the report (Permission level)

Name Type Description
None
  • string

No permission to content in report

Owner
  • string

Grants Read, Write and Reshare access to content in report

Read
  • string

Grants Read access to content in report

ReadCopy
  • string

Grants Read and Copy access to content in report

ReadReshare
  • string

Grants Read and Reshare access to content in report

ReadWrite
  • string

Grants Read and Write access to content in report

Subscription

artifact email subscription

Name Type Description
artifactDisplayName
  • string

The subscribed artifact Name

artifactId
  • string

The subscribed artifact ID

artifactType
  • string

artifactType

attachmentFormat
  • string

Format of the report attached in the eamil subscription

endDate
  • string

The start date and time of subscription

frequency
  • string

Frequency of Email Subscription

id
  • string

The subscription ID

isEnabled
  • boolean

subscription Enabled or not

linkToContent
  • boolean

subscription link exists in email subscription

previewImage
  • boolean

screenshot of the report exists in email subscription

startDate
  • string

The start date and time of subscription

subArtifactDisplayName
  • string

Page Name in case of Reports only

title
  • string

The app name

users

The Email subscribee Details. This value can be null when Get Subscirpions By User As Admin API is called. It will be removed from the payload response in an upcoming release. To retrieve subscription information on an artifact please consider using the Get Dashboard or Report Subscriptions as Admin API.

SubscriptionUser

A Power BI email subscription user

Name Type Description
displayName
  • string

Display name of the principal

emailAddress
  • string

Email address of the user

graphId
  • string

Identifier of the principal in Microsoft Graph. Only available for admin APIs.

identifier
  • string

Identifier of the principal

principalType

The principal type